### Method

# EDataServer SourceProxy get_http_auth_user

since: 3.12

#### Declaration [src]

    const gchar*
    e_source_proxy_get_http_auth_user (
      ESourceProxy* extension
    )

#### Description [src]

Returns the user name to pass as authentication when doing HTTP proxying and `ESourceProxy:http-use-auth` is `TRUE`.

Available since: 3.12

Gets property | `EDataServer.SourceProxy:http-auth-user`

#### Return value

Type: `const gchar*`

HTTP proxy username.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.